Subject: Re: [PATCH] diff: add --no-diff-deleted to make -p more pleasant

From: Eric Wong <[email-masked]>
Date: Sun, 29 Jan 2006 16:38:20 -0800

Junio C Hamano <[email-masked]> wrote:
> Eric Wong <[email-masked]> writes:
> 
> > This is a feature I've stol^Wborrowed from svn that I find very
> > useful since I usually don't care to see what I've deleted.
> 
> There is a thing called --diff-filter, and 
> 
> 	git diff -p --no-diff-deleted
> 
> is equivalent to
> 
> 	git diff -p --diff-filter=AM

Cool, didn't notice this feature before.  Thanks.

> when you are not using rename/copy detection (and a byte
> shorter).  Or maybe improve its syntax to also take:
> 
> 	--diff-filter=-D
> 
> That is, a minus followed by list of undesired change class
> letters.

Hmm.. maybe another day.  AM is good enough for now.

-- 
Eric Wong